---
title: "networkadapters"
description: "SMC API Documentation"
url: https://developer.disguise.one/smc/api/adapters/
---

# Network Adapter API

-   [GET networkadapters](#get-networkadapters)
-   [POST networkadapters](#post-networkadapters)
-   [GET networkadapter by MAC](#get-networkadapter-by-mac)
-   [POST networkadapter by MAC](#post-networkadapter-by-mac)

## GET networkadapters

### Summary

Get the details of the disguise server’s network configuration

### URL

GET    /api/networkadapters

### Responses

-   **200:** Success - Ok
-   **404:** Not found
-   **500:** Check the response body for error details

### Response Body

```json
[
  {
    "name": "d3net",
    "ip": "xxx.xxx.xxx.xxx",
    "mac": "hh-hh-hh-hh-hh",
    "netmask": "xxx.xxx.xxx.xxx"
  }
]
```

* * *

## POST networkadapters

### Summary

Update the details of the disguise server’s network configuration

### URL

POST    /api/networkadapters

### Request Body

```json
[
  {
    "name": "d3net",
    "ip": "xxx.xxx.xxx.xxx",
    "mac": "hh-hh-hh-hh-hh",
    "netmask": "xxx.xxx.xxx.xxx"
  }
]
```

### Responses

-   **201:** Success - Created
-   **401:** Unauthorized - Please login for access
-   **500:** Check the response body for error details

Response Body

```json
{
  "message": "ok"
}
```

* * *

## GET networkadapter by MAC

### Summary

Get the details of the disguise server’s network interface by mac address

### URL

GET    /api/networkadapters/{mac}

### Parameters

-   **mac** (path): MAC address of the network adapter

### Responses

-   **200:** Success - Ok
-   **404:** Not found
-   **500:** Check the response body for error details

### Response Body

```json
{
  "name": "d3net",
  "ip": "xxx.xxx.xxx.xxx",
  "mac": "hh-hh-hh-hh-hh",
  "netmask": "xxx.xxx.xxx.xxx"
}
```

* * *

## POST networkadapter by MAC

### Summary

Update the details of the disguise server’s network interface by mac address

### URL

POST    /api/networkadapters/{mac}

### Parameters

-   **mac** (path): MAC address of the network adapter

### Request Body

```json
{
  "name": "d3net",
  "ip": "xxx.xxx.xxx.xxx",
  "mac": "hh-hh-hh-hh-hh",
  "netmask": "xxx.xxx.xxx.xxx"
}
```

### Responses

-   **201:** Success - Created
-   **401:** Unauthorized - Please login for access
-   **404:** Not found
-   **500:** Check the response body for error details

Response Body

```json
{
  "message": "ok"
}
```
